> For the complete documentation index, see [llms.txt](https://docs.openreview.net/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.openreview.net/~/changes/kVYMUwjISEF9x7H1lfSE/how-to-guides/data-retrieval-and-modification/how-to-undo-deployed-assignments.md).

# How to Undo Deployed Assignments

If you deployed automatic assignments but would like to roll them back, you can do it using the python client.&#x20;

1. If you have not done so, you will need to [install and instantiate the openreview-py client](/~/changes/kVYMUwjISEF9x7H1lfSE/getting-started/using-the-api/installing-and-instantiating-the-python-client.md).&#x20;
2. You will first need to delete all of the assignment edges. You can do this by getting all edges with your venue's assignment invitation and then setting a ddate for each one.

```
edges = client.get_all_edges(invitation = 'Your/Venue/ID/Reviewers/-/Assignment')
for edge in edges: 
    edge.ddate = 1643083220000
    client.post_edge(edge)
```

3\. Now all of the assignments have been reverted, but before you can deploy a new matching you will need to change the status of the deployed matching configuration from 'Deployed' to 'Complete'. In order to do this, you will first need to find the matching configuration ID. Go to api.openreview\.net/notes?invitation=Your/Venue/ID/Reviewers/-/Assignment\_Configuration and find the note with a status of 'Deployed'. Once you have its ID, do the following:

```
note = client.get_note('<note_id>')
note.content['status'] = 'Complete'
client.post_note(note)
```

4\. Now you should have the option to deploy a new matching configuration.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.openreview.net/~/changes/kVYMUwjISEF9x7H1lfSE/how-to-guides/data-retrieval-and-modification/how-to-undo-deployed-assignments.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
